{% extends 'base.html' %}

{% block content %}
  <form action="" method="post" class="fs-5 mx-auto" style="max-width: 600px">
    {{ form.csrf_token() }}
    <div class="row">
      <div class="mb-3 col-3">
        {{ form.id.label(class="form-label") }}
        <input
            type="{{ form.id.type }}"
            id="{{ form.id.name }}"
            class="form-control {{ 'is-invalid' if form.id.errors else '' }}"
            disabled
            value="{{ form.id.data }}"
        >
      </div>
      <div class="mb-3 col">
        {{ form.sort_pn.label(class="form-label") }}
        {% if form.sort_pn.errors %}
          {{ form.sort_pn(class="form-control is-invalid") }}
        {% else %}
          {{ form.sort_pn(class="form-control") }}
        {% endif %}
      </div>
    </div>
    {% for form_el in form %}
      <div class="mb-3">
        {% if form_el.render_kw['render'] == 'auto' %}
          {{ form_el.label(class="form-label") }}
          {% if form_el.errors %}
            {{ form_el(class="form-control is-invalid") }}
            <span class="invalid-feedback">
              {% for e in form_el.errors %}
                {{ e }}
              {% endfor %}
            </span>
          {% else %}
            {{ form_el(class="form-control") }}
          {% endif %}
        {% endif %}
      </div>
    {% endfor %}

    <div class="mb-3 form-check">
      {{ form.is_active }} {{ form.is_active.label }}
    </div>


    <div class="d-flex gap-2 justify-content-center">
      {% if form.is_delete %}
        {{ form.submit_del(class="btn btn-danger col-md-2 col-sm-3") }}
        <a href="{{ url_for('category_list') }}" class="btn btn-secondary col-md-2 col-sm-3" role="button">Отмена</a>
      {% else %}
        {{ form.submit(class="btn btn-primary col-md-2 col-sm-3") }}
        <a href="{{ url_for('category_list') }}" class="btn btn-secondary col-md-2 col-sm-3" role="button">Отмена</a>
      {% endif %}
    </div>

  </form>

{% endblock %}